Bug 10467 (int-187814)

Summary: Messages affected by "unread status" bug 8441 in PR1.1.1 STILL don't change status to "READ" after PR1.2 upgrade
Product: [Maemo Official Applications] Chat & Call & SMS Reporter: Ben Smith <babyboystar>
Component: MessagingAssignee: rtcomm <rtcomm>
Status: UNCONFIRMED QA Contact: im-chat-bugs
Severity: normal    
Priority: Unspecified CC: andre_klapper, babyboystar, isamajakarlsson, list-ener, simon
Version: 5.0:(10.2010.19-1)   
Target Milestone: ---   
Hardware: N900   
OS: Maemo   
URL: http://talk.maemo.org/showthread.php?t=41980

Description Ben Smith (reporter) 2010-06-01 15:17:53 UTC
SOFTWARE VERSION: 10.2010.19-1.203.1
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Go to Conversations
2. Tap on any message whose status was set as "unread" before the PR1.2 update

EXPECTED OUTCOME: Messages should change status to "read"

ACTUAL OUTCOME: Messages that are received after the PR1.2 upgrade and those
that were received before the PR1.2 should change status to "read" once they've
opened.

REPRODUCIBILITY: 10/10 (always)
(always, less than 1/10, 5/10, 9/10)

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS: I already logged the original bug for this in PR1.1.1 and I was
notified that it would be resolved in PR1.2. And it is but ONLY for new
messages that I've received after the PR1.2 update. However, those messages
that were affected by the bug (i.e. messages received before the PR1.2 that
wouldn't change their status even after I've read them) have not been
"repaired" or fixed by this update. Personally, I think it would be handy to
have a "mark as read/unread" option, just as with emails. This would get rid of
this annoying bug.

User-Agent:       Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET
CLR 2.0.50727; .NET CLR 1.1.4322; InfoPath.1; .NET CLR 3.0.04506.30; .NET CLR
3.0.4506.2152; .NET CLR 3.5.30729; MS-RTC LM 8)
Comment 1 Andre Klapper maemo.org 2010-06-04 16:23:38 UTC
(In reply to comment #0)
> OTHER COMMENTS: I already logged the original bug for this in PR1.1.1

URLs and references always welcome.

The codefix was that this does not happen anymore. The fix was not a migration
of old data. Setting all unread old messages all to read would obviously create
even more problems for those messages that are "really" unread.
Comment 2 Ben Smith (reporter) 2010-06-05 13:35:35 UTC
(In reply to comment #1)
> (In reply to comment #0)
> > OTHER COMMENTS: I already logged the original bug for this in PR1.1.1
> 
> URLs and references always welcome.
> 
> The codefix was that this does not happen anymore. The fix was not a migration
> of old data. Setting all unread old messages all to read would obviously create
> even more problems for those messages that are "really" unread.
> 

Ok....but how come when I read those messages which are set as "unread" they
don't change status then? Is there any way to resolve that? Not even a
quick-fix?
Comment 3 Andre Klapper maemo.org 2010-06-05 13:43:23 UTC
So you cannot mark any messages anymore as read, or what is the problem?
Comment 4 Ben Smith (reporter) 2010-06-05 18:26:01 UTC
(In reply to comment #3)
> So you cannot mark any messages anymore as read, or what is the problem?
> 

There's no way to mark messages as read on the Nokia N900. There's an option to
o that with emails, but for some reason it's not been implemented for
messages...if not I wouldn't be filing this as a bug! That's the problem.
Comment 5 Andre Klapper maemo.org 2010-06-07 13:59:52 UTC
So you open an old unread message by tapping on it in the list, close that
window again, go back to the list and it is still unread?

(In general: Clear steps (click by click) in the initial comment make things
easier...)
Comment 6 Ben Smith (reporter) 2010-06-07 23:37:46 UTC
(In reply to comment #5)
> So you open an old unread message by tapping on it in the list, close that
> window again, go back to the list and it is still unread?
> 
> (In general: Clear steps (click by click) in the initial comment make things
> easier...)
> 

Yes, that's exactly what happens...so it shows that I've got loads of unread
messages, even though I've already read them!
Comment 7 Simon Williams 2010-06-08 14:49:30 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > So you open an old unread message by tapping on it in the list, close that
> > window again, go back to the list and it is still unread?
> > 
> Yes, that's exactly what happens...so it shows that I've got loads of unread
> messages, even though I've already read them!

Deleting the messages database would fix it, though obviously you'd loose all
your SMS messages:

http://talk.maemo.org/showthread.php?t=41980
Comment 8 Ben Smith (reporter) 2010-06-09 09:14:33 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > So you open an old unread message by tapping on it in the list, close that
> > > window again, go back to the list and it is still unread?
> > > 
> > Yes, that's exactly what happens...so it shows that I've got loads of unread
> > messages, even though I've already read them!
> 
> Deleting the messages database would fix it, though obviously you'd loose all
> your SMS messages:
> 
> http://talk.maemo.org/showthread.php?t=41980
> 

Hm, not an option I'd like to take! Any other suggestions? Or fixes?
Comment 9 Andre Klapper maemo.org 2010-06-09 09:48:38 UTC
(Please don't fullquote complete previous comments but strip them.)
Comment 10 Andre Klapper maemo.org 2010-06-24 10:17:38 UTC
I'd love to see a confirmation for this issue by a second user.
Currently looks like you're the only person affected so far... :-/
Comment 11 Maja 2010-07-07 21:00:11 UTC
(In reply to comment #10)
> I'd love to see a confirmation for this issue by a second user.
> Currently looks like you're the only person affected so far... :-/
> 

Also affected. And I bought my n900 after the pr 1.2.
Comment 12 Ben Smith (reporter) 2010-07-08 21:43:53 UTC
(In reply to comment #11)
> (In reply to comment #10)
> > I'd love to see a confirmation for this issue by a second user.
> > Currently looks like you're the only person affected so far... :-/
> > 
> 
> Also affected. And I bought my n900 after the pr 1.2.
> 

Yay, I'm glad I'm not alone! So....can this be fixed now that I'm not the only
one?
Comment 13 Andre Klapper maemo.org 2010-07-16 14:20:17 UTC
(In reply to comment #11)
> Also affected. And I bought my n900 after the pr 1.2.

Erm, what does "also affected" exactly mean here?
Because the bug report is about messages that cannot be marked as read and were
received *before* updating to PR1.2.
Comment 14 Andre Klapper maemo.org 2010-07-16 14:21:01 UTC
(In reply to comment #0)
> OTHER COMMENTS: I already logged the original bug for this in PR1.1.1

I'm still asking for the bug ID, by the way.
Comment 15 Ben Smith (reporter) 2010-07-16 20:04:30 UTC
(In reply to comment #13)
> (In reply to comment #11)
> > Also affected. And I bought my n900 after the pr 1.2.
> 
> Erm, what does "also affected" exactly mean here?
> Because the bug report is about messages that cannot be marked as read and were
> received *before* updating to PR1.2.
> 

I suppose he meant he is ALSO affected...is this bug going to be fixed?
Comment 16 Maja 2010-07-17 08:06:33 UTC
(In reply to comment #15)
> (In reply to comment #13)
> > (In reply to comment #11)
> > > Also affected. And I bought my n900 after the pr 1.2.
> > 
> > Erm, what does "also affected" exactly mean here?
> > Because the bug report is about messages that cannot be marked as read and were
> > received *before* updating to PR1.2.
> > 
> 
> I suppose he meant he is ALSO affected...is this bug going to be fixed?
> 

So maybe I'm not experiencing the EXACT same bug but what I meant was this:
None of my messages is ever marked as read, and I started with PR1.2

It seemed related to me... but should it be a different thread?

(btw, I'm a she)
Comment 17 strank 2010-11-15 14:56:07 UTC
Can also confirm that this bug exists, also after PR1.3:

- I open Conversations
- I click on a unread-highlighted conversation
- I see all the messages scroll by
- I close the conversation again
- Still marked unread in the main Conversations window, and stays unread after
restart of Conversations.

Generally, about a third of my Conversations are currently marked unread
(although I read all of them). A quick look at the list suggests that it is
only Skype-conversations that suffer from the problem, although some of the
Skype conversations are marked read.

I would vote for adding an explicit "Mark (un)read" button to the menu (in
addition to squashing the bug).